Skip to main content
GET
/
accounts
Returns all accounts for the user (e.g. Xero accounts)
curl --request GET \
  --url https://api.sandbox.goteal.co/accounts \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.sandbox.goteal.co/accounts"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.sandbox.goteal.co/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "pagination": {
    "offset": 75,
    "limit": 25,
    "count": 14,
    "total_count": 89
  },
  "accounts": [
    {
      "account_id": "95a0e70b-fe02-4f47-aef9-2efff279df71",
      "payroll_provider": "quickbooks",
      "user_name": "john.smith@company.com",
      "created_at": "2019-05-17T00:00:00.000Z",
      "status": "PENDING",
      "mfa_enabled": true,
      "latest_pay_date": "2019-05-17T00:00:00.000Z"
    }
  ]
}
{
"errors": [
"The request is missing the required field `name`"
]
}
{
"errors": [
"No X-API-KEY header provided or wrong value"
]
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

user_id
string
required

ID of the user to get accounts for

offset
integer<int32>
default:0

The offset to start at

Required range: x >= 1
limit
integer<int32>
default:500

The number of items to return

Required range: 1 <= x <= 1000

Response

Successfully retrieved accounts

pagination
object
accounts
object[]